<?php
require __DIR__.'/../vendor/autoload.php';
require __DIR__.'/../vendor/zeedhi/framework/bootstrap.php';

$instanceManager = \Zeedhi\Framework\DependencyInjection\InstanceManager::getInstance();
$instanceManager->loadFromFile(__DIR__.'/../config/parameters.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/environment.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/report.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/services.xml');
$instanceManager->loadFromFile(__DIR__.'/../config/controllers.xml');

$routes = array();
$routes[] = __DIR__ . '/../config/routes.json';

$instanceManager->registerService('routeParser', new \Zeedhi\Framework\Routing\Parsers\JSONFormat($routes));
$instanceManager->compile();

/** @var \Zeedhi\Framework\Application $app */
$app = $instanceManager->getService('application');
$app->run();
