import Vue from 'vue';
import Router from 'vue-router';
import { components } from '@zeedhi/vuetify';

const { ZdFramePage } = components;

Vue.use(Router);

const router = new Router({
  mode: 'history',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      name: 'home',
      component: () => import('./views/Home.vue'),
    },
    {
      path: '/dashboard',
      name: 'dashboard',
      component: ZdFramePage,
      props: () => ({
        path: 'dashboard',
        local: true,
      }),
    },
    {
      path: '/dashboardTeste',
      name: 'dashboardTeste',
      component: ZdFramePage,
      props: () => ({
        path: 'dashboardTeste',
        local: true,
      }),
    },
    {
      path: '*',
      component: ZdFramePage,
      props: {
        path: 'notfound',
        local: true,
      },
    },
  ],
});

export default router;
